Jump to content

Vejova

Members
  • Content Count

    16
  • Joined

  • Last visited

About Vejova

  • Rank
    Member

Profile Information

  • Location:
    USA
  1. Hello again everyone, So now that I have a working server, client, and Browedit (yay), I'm trying to install phpmyadmin and then fluxcp. My problem is that all of the mpa installation guides I've found assume that I want to create a new db during install, and they say nothing about linking or using my existing server db. How do I go about installing phpmyadmin while linking it to my existing RO database? Are there any steps that I need to change/modify during install, like the server directory that I install it to (e.g., /Hercules instead of ~) ? NB: i'm using VPS/Debian to install and not windows. I went through the fresh install once just to see how it works, and I did manage to connect to my VPS fine. But I couldn't figure out how to import what I wanted. Thanks!
  2. I'd just like to mention that #1 and #2 are both incompatible with Browedit. I didn't test the third one. #1 is too large to be read, and #2 is missing some critical files (a lot of water files, idk what else) and will not compile maps correctly.
  3. Problem solved. Neither of the major 2 data files from this link are compatible with Borf's editor. One is too large, and the other doesn't work (see below). I had to download the 2017 data.grf from here. So far everything is working fine. Best guess is that those "unnecessary files" they removed to make the .grf smaller were, in fact, quite necessary...
  4. So I downloaded the pre-configured Browedit 586, 620, and 2.0 from the official discord links and followed the setup directions. I'm having a problem with opening maps from data.grf file. At first 586 and 620 would just close the entire program when I tried to "open from .grf" I then ran 586 and 620 in compatibility mode (i'm on win10) and it would then open a blank map with one yellow dot. Browedit 2.0 gave me an error that looks the attached image. I also checked that my .grf is under 2.x gigs and that's not it. It's at like 1.4g. I'm running option #2 from here. Anyone know what's wrong here? EDIT: "Error: [22:13:43] Error loading texture C:\......clientdata\texture\┐÷┼═\water000.jpg! gd-jpeg: JPEG library reports unrecoverable error: Not a JPEG file: starts with 0x00 0x00 I'm now getting a bunch of these errors when I try to open the files. It looks like the water files are bad?
  5. Can anyone tell me what's going on here? [Info]: Attempt to connect to login-server... [Status]: Connecting to xxxx:6900 [Info]: Connection request of the char-server 'xxxx' @ xxxx (account: 'xxx', pass: 'xxx', ip: 'xxxx') [Notice]: Authentication accepted (account: xxx, id: 1, ip: xxx) [Notice]: Connection of the char-server 'xxxx' REFUSED. [Error]: Skip wrong packet id: 0x2710 [Error]: --- failed assertion -------------------------------------------- [Error]: socket.c:824: '0' in function `rfifoskip' [Error]: 0x55e700536c05 nullpo_backtrace_print [Error]: /home/hercuser/Hercules/src/common/nullpo.c:77 [Error]: 0x55e700536c05 assert_report [Error]: /home/hercuser/Hercules/src/common/nullpo.c:147 [Error]: 0x55e7005494fe rfifoskip [Error]: /home/hercuser/Hercules/src/common/socket.c:840 [Error]: 0x55e7005494fe rfifoskip [Error]: /home/hercuser/Hercules/src/common/socket.c:804 [Error]: 0x55e700525654 lclif_parse_packet [Error]: /home/hercuser/Hercules/src/login/lclif.c:511 [Error]: 0x55e7005252b3 lclif_parse [Error]: /home/hercuser/Hercules/src/login/lclif.c:419 [Error]: 0x55e700549c2d do_sockets [Error]: /home/hercuser/Hercules/src/common/socket.c:1073 [Error]: 0x55e700520d91 main [Error]: /home/hercuser/Hercules/src/common/core.c:539 [Error]: 0x7f1bb8f1f09a ??? [Error]: ???:0 [Error]: 0x55e700520f59 ??? [Error]: ???:0 [Error]: 0xffffffffffffffff ??? [Error]: ???:0 [Error]: --- end failed assertion ---------------------------------------- [Error]: Can not connect to login-server. Also: when the server starts it does this for probably every single map... [Notice]: Removing map [ sp_rudus2 ] from maplist [Warning]: Map sp_rudus3 already loaded! [Notice]: Removing map [ sp_rudus3 ] from maplist [Warning]: Map mag_dun03 already loaded! [Notice]: Removing map [ mag_dun03 ] from maplist [Warning]: Map gl_cas01_ already loaded! [Notice]: Removing map [ gl_cas01_ ] from maplist [Warning]: Map [email protected]_prq already loaded! [Notice]: Removing map [ [email protected]_prq ] from maplist ...etc...
  6. Solved: I had to un-disable packet obfuscation in NEMO. Nope, still having issues.
  7. So I've managed to get my server and client 99% working, but when I try to log into server I get this... [Status]: Request for connection of VEJOVA (ip: ****). [Notice]: Authentication accepted (account: VEJOVA, id: 2000000, ip: ****) [Status]: Connection of the account 'VEJOVA' accepted. [Info]: Closed connection from '****'. [Info]: request connect - account_id:2000000/login_id1:993516334/login_id2:1498984685 [Status]: Char-server 'Hercules': authentication of the account 2000000 REFUSED (ip: xxxx). [Info]: request connect - account_id:2000001/login_id1:1651555015/login_id2:502166957 [Status]: Char-server 'Hercules': authentication of the account 2000001 REFUSED (ip: xxxx). There are no errors on the servers after they have launched. I tried again with making a new account: [Status]: Request for connection of TEST2_F (ip: ****). [Notice]: Account creation (account TEST2, id: 2000002, pass: ***, sex: F) [Notice]: Authentication accepted (account: TEST2, id: 2000002, ip: ****) [Status]: Connection of the account 'TEST2' accepted. [Info]: Closed connection from '****'. "rejected" from server error How do I fix this? Thanks!
  8. Thank you! I will try this following your video and see how it goes.
  9. Hey, so I've tried 4+ different guides for how to set up a client, and none of them are working for me. I don't know enough about how all of this is supposed to work to know what I'm doing wrong, so I've got... a few questions... 1) What is the most up-to-date client creation/setup guide? I've tried: One, Two, Three, Four, Five, Six, repeatedly over the last few days, and none of them have worked. Most of them fail at the GRF/clientinfo.xml stage. Like this. 2) I want to set up a pre-renewal server, as up-to-date as possible. What versions of kRO and RAGEXE work best, and what really matters? Can I use the newest KRO or do I need to hunt down one from a specific time period like 2017? 3) At this point, what all do I even need? - KRO full - which one? - RAGEXE - which one? - NEMO - current? - GRF EDITOR - the translation project? Both, or just Pre-re? - opensetup? - an updated rsu-kro-rag-lite? - template for clientinfo.xml? - my sanity back? Thanks in advance. If someone can actually help me get this working I will rewrite it into an updated guide that noobs like me can understand 😜
  10. And as an added bonus, when I try to open the data.grf from the pre-re translation project, all clientinfo.xml says is [null][null][null][null][null][null][null][null][null][null][null][null][null][null][null][null][null][null]
  11. I'm attempting to load the data.grf from a fresh kRO install (from here) and I get this error: -------------- Message -------------- Couldn't load the GRF. -------------- Stack trace -------------- at GrfToWpfBridge.Application.DefaultErrorHandler._reportAnyManagedExceptions(String message, Exception exception, ErrorLevel errorLevel) at GrfToWpfBridge.Application.DefaultErrorHandler.Handle(Exception exception, ErrorLevel errorLevel) at ErrorManager.ErrorHandler.HandleException(String message, Exception exception, ErrorLevel errorLevel) at GRF.Core.Container._load(String fileName) at GRF.Core.Container..ctor(String fileName) at GRF.Core.GrfContainerProvider.Get(String fileName) at GRF.Core.GrfHolder.Open(String fileName, GrfLoadOptions options) at GRF.Core.GrfHolder.Open(String fileName) at GRFEditor.EditorMainWindow.<>c__DisplayClass63.<_load>b__58() at GRF.Threading.GrfThread.<>c__DisplayClass7.<Start>b__6() at System.Threading.ThreadHelper.ThreadStart_Context(Object state) at System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx) at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx) at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state) at System.Threading.ThreadHelper.ThreadStart() -------------- Exception -------------- System.Exception: Couldn't load the GRF. ---> GRF.ContainerFormat.GrfException: The length of the stream is too small for this container. Unable to parse the header. Actual size : -1610635553 Expected minimal size : 46 at GRF.ContainerFormat.GrfExceptions.ThrowHeaderLengthInvalid(Int32 length, Int32 expected) at GRF.Core.GrfHeader..ctor(IBinaryReader reader) at GRF.Core.Container._load(String fileName) --- End of inner exception stack trace --- -------------- Message -------------- The length of the stream is too small for this container. Unable to parse the header. Actual size : -1610635553 Expected minimal size : 46 -------------- Inner exception -------------- GRF.ContainerFormat.GrfException: The length of the stream is too small for this container. Unable to parse the header. Actual size : -1610635553 Expected minimal size : 46 at GRF.ContainerFormat.GrfExceptions.ThrowHeaderLengthInvalid(Int32 length, Int32 expected) at GRF.Core.GrfHeader..ctor(IBinaryReader reader) at GRF.Core.Container._load(String fileName) Anyone know what's going on?
  12. So when I run rsu-kro-rag-lite-updater (step II.A) it gives a "mirror server down, try again later" error. Always. I've also tried getting the most up-to-date version of this from here: http://nn.ai4rei.net/dev/rsu/ and I get the error "failed to retrieve 1_patch.txt" What's going on here? What do I do? Is this guide out of date too, or do i just need to wait? Edit - I've also tried installing the up-to-date kRO client from here: and ran the patcher it comes with.... the updater there says mirror server is down.
  13. Thanks guys, I managed to figure my mess out with your suggestions. I actually had about four different things that needed fixing... Now I can go back to trying to piece together a working pre-re client 😐
  14. Hey, I need some help getting the server started. I'm getting these errors when I try to start up my server: [Error]: conf/import/inter-server.conf:34 - syntax error [Warning]: Using the default user/password s1/p1 is NOT RECOMMENDED. [Notice]: Please edit your 'login' table to create a proper inter-server user/password (gender 'S') [Notice]: And then change the user/password to use in conf/char/char-server.conf (or conf/import/char-server.conf) [Info]: Done reading conf/common/inter-server.conf. [Error]: conf/import/inter-server.conf:34 - syntax error [Info]: Connect Character DB server.... (Character Server) : Access denied for user 'ragnarok'@'localhost' (using password: YES) [Debug]: at loginlog.c:97 [SQL]: Access denied for user 'ragnarok'@'localhost' (using password: YES) [Debug]: at inter.c:951 [Warning]: map_config_read: Loop detected! Skipping 'import'... [Warning]: Using the default user/password s1/p1 is NOT RECOMMENDED. [Notice]: Please edit your 'login' table to create a proper inter-server user/password (gender 'S') [Notice]: and then edit your user/password in conf/map-server.conf (or conf/import/map_conf.txt) [Warning]: Not all IP addresses in /conf/map/map-server.conf configured, auto-detecting... [Info]: Defaulting to *** as our IP address [Info]: Map Server IP Address : *** [Info]: Char Server IP Address : *** [Error]: conf/import/inter-server.conf:34 - syntax error [Info]: Logging item transactions to table 'picklog'. [Info]: Logging chat to table 'chatlog'. [Info]: Logging commands to table 'atcommandlog'. [Info]: Logging item transactions to table 'picklog'. [Info]: Logging chat to table 'chatlog'. [Info]: Logging commands to table 'atcommandlog'. [Info]: Connecting to the Map DB Server.... [SQL]: Access denied for user 'ragnarok'@'localhost' (using password: YES) I updated all of the Conf files using the ones in Github, so i'm not sure why it's saying s1/p1 or "ragnarok'@localhost.
  15. I run into this problem when trying to install the pre-reqs: apt-get install gcc make libmysqlclient-dev zlib1g-dev libpcre3-dev mysql-server git Reading package lists... Done Building dependency tree Reading state information... Done Package mysql-server is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source Package libmysqlclient-dev is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source However the following packages replace it: libmariadb-dev-compat libmariadb-dev E: Package 'libmysqlclient-dev' has no installation candidate E: Package 'mysql-server' has no installation candidate
×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.